Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » top level loop » topLevelMode » NoPrint
next | previous | forward | backward | up | index | toc

# NoPrint -- top level method for non-printing results

- Usage:
    `X#{topLevelMode,NoPrint} = f`
- Inputs:
  - X, a type
  - f, a function, that can accept something of type X
- Consequences:
  - At top level, whenever it is time, as indicated by a semicolon at the end of an input line, to suppress printing of an output value of type X, the function f will be called.

## For the programmer

The object NoPrint is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:329:0.